<bugID>405320<Summary>Support "out of order" multiple word tag search in url bar autocomplete</Summary><Description>support "out of order" multiple word tag search in the url bar and in the places organizer.

in bug #401869, ronin.achilles@gmail.com writes:

"aren't we going to allow random ordering of words? i.e. if a user has a tag called "read later"... will he not be able to search on "read later" as well as "later read"?

right now, this doesn't work.  

note, one way we could implement this would be to change                                                                               nsNavHistory::CreateTermsFromTokens() to generate all the permutations, and not just the "in order" ones.  

that would lower our "limit" (caused by SQLITE_MAX_EXPR_DEPTH), but that might be acceptable.</Description></bugID>